# Create multiple job targets at once

Creates new targets for the specified job and returns the job target IDs.

Endpoint: POST /api/jobs/{id}/targets/bulk
Version: v2.0
Security: OAuth2

## Path parameters:

  - `id` (integer, required)
    The ID for the job target, for example 39605.

## Request fields (application/json):

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.id` (integer,null)
    Gets or sets the entity ID.

  - `items.identifier` (string,null)
    Gets or sets the entity identifier.

  - `items.properties` (object,null)
    Gets or sets the properties of the entity.

  - `items.relations` (object,null)
    Gets or sets the relations of the entity.

  - `items.is_root_taxonomy_item` (boolean,null)
    Gets or sets a value indicating whether the entity is a root taxonomy item.

  - `items.is_path_root` (boolean,null)
    Gets or sets a value indicating whether the entity is a path root.

  - `items.entitydefinition` (object)
    Represents a link to a resource.

  - `items.entitydefinition.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.entitydefinition.title` (string,null)
    Gets or sets the title that describes this link.

  - `items.entitydefinition.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `items.is_system_owned` (boolean)
    Gets or sets a value indicating whether the entity is system owned.

  - `items.inherits_security` (boolean)
    Gets or sets a value indicating whether the entity inherits security.

  - `items.self` (object)
    Represents a link to a resource.

## Response 200 fields (application/json):

  - `items` (array,null)
    Gets or sets the list of items.

  - `items.id` (integer)
    The unique identifier for the entity.

  - `items.identifier` (string,null)
    The identifier string for the entity.

  - `items.link` (object)
    Represents a link to a resource.

  - `items.self` (object)
    Represents a link to a resource.

  - `total_items` (integer,null)
    Gets or sets the total number of items.

  - `returned_items` (integer,null)
    Gets or sets the number of returned items.

  - `offset` (integer,null)
    Gets or sets the offset of the items.

  - `next` (object)
    Represents a link to a resource.

  - `previous` (object)
    Represents a link to a resource.

  - `identifier` (string,null)
    Gets or sets the identifier of the resource.

  - `self` (object)
    Represents a link to a resource.


## Response 201 fields

## Response 400 fields

## Response 401 fields

## Response 404 fields
